Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 81331

Summary: cdparanoia works unreliably and then stops working altogether
Product: [Retired] Red Hat Linux Reporter: Kim Lux <lux>
Component: cdparanoia-IIIAssignee: Peter Jones <pjones>
Status: CLOSED NOTABUG QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: 8.0   
Target Milestone: ---   
Target Release: ---   
Hardware: i686   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2003-05-14 15:24:54 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Kim Lux 2003-01-08 05:02:59 UTC
From Bugzilla Helper:User-Agent: Mozilla/5.0 (compatible; Konqueror/3; Linux)Description of problem:My computer and cdparanoia are not getting along. I installed cdparanoia about a month ago. It would rip CDs well for the first few tracks and then crash.  Now it won't rip CDs at all.[krlux@h68-146-142-19 test]$ cdparanoia -svBcdparanoia III release 9.8 (March 23, 2001)(C) 2001 Monty <monty@xiph.org> and XiphophorusReport bugs to paranoia@xiph.orghttp://www.xiph.org/paranoia/Checking /dev/cdrom for cdrom...        Testing /dev/cdrom for cooked ioctl() interface                /dev/scd0 is not a cooked ioctl CDROM.        Testing /dev/cdrom for SCSI interface                Could not access device /dev/scd0: No such device or addressChecking /dev/cdroms/cdrom0 for cdrom...        Could not stat /dev/cdroms/cdrom0: No such file or directoryChecking /dev/cdroms/cdroma for cdrom...        Could not stat /dev/cdroms/cdroma: No such file or directoryChecking /dev/cdroms/cdrom1 for cdrom...        Could not stat /dev/cdroms/cdrom1: No such file or directoryChecking /dev/cdroms/cdromb for cdrom...        Could not stat /dev/cdroms/cdromb: No such file or directoryChecking /dev/cdroms/cdrom2 for cdrom...        Could not stat /dev/cdroms/cdrom2: No such file or directoryChecking /dev/cdroms/cdromc for cdrom...        Could not stat /dev/cdroms/cdromc: No such file or directoryChecking /dev/cdroms/cdrom3 for cdrom...        Could not stat /dev/cdroms/cdrom3: No such file or directoryChecking /dev/cdroms/cdromd for cdrom...        Could not stat /dev/cdroms/cdromd: No such file or directoryChecking /dev/hd0 for cdrom...        Could not stat /dev/hd0: No such file or directoryChecking /dev/hda for cdrom...        Testing /dev/hda for cooked ioctl() interface                Unable to open /dev/hda: Permission denied        Testing /dev/hda for SCSI interface                /dev/hda is not a SCSI deviceChecking /dev/hd1 for cdrom...        Could not stat /dev/hd1: No such file or directoryChecking /dev/hdb for cdrom...        Testing /dev/hdb for cooked ioctl() interface                Unable to open /dev/hdb: Permission denied        Testing /dev/hdb for SCSI interface                /dev/hdb is not a SCSI deviceChecking /dev/hd2 for cdrom...        Could not stat /dev/hd2: No such file or directoryChecking /dev/hdc for cdrom...        Testing /dev/hdc for cooked ioctl() interface                Unable to open /dev/hdc: Permission denied        Testing /dev/hdc for SCSI interface                /dev/hdc is not a SCSI deviceChecking /dev/hd3 for cdrom...        Could not stat /dev/hd3: No such file or directoryChecking /dev/hdd for cdrom...        Testing /dev/hdd for cooked ioctl() interface                Unable to open /dev/hdd: Permission denied        Testing /dev/hdd for SCSI interface                /dev/hdd is not a SCSI deviceChecking /dev/sg0 for cdrom...        Testing /dev/sg0 for cooked ioctl() interface                /dev/sg0 is not a cooked ioctl CDROM.        Testing /dev/sg0 for SCSI interface                No cdrom device found to match generic device /dev/sg0                generic device: /dev/sg0                ioctl device: not foundFound an accessible SCSI CDROM drive.Looking at revision of the SG interface in use...        SG interface version 3.1.24; OK.                Drive is neither a CDROM nor a WORM deviceChecking /dev/sga for cdrom...        Testing /dev/sga for cooked ioctl() interface                /dev/sg0 is not a cooked ioctl CDROM.        Testing /dev/sga for SCSI interface                No cdrom device found to match generic device /dev/sg0                generic device: /dev/sg0                ioctl device: not foundFound an accessible SCSI CDROM drive.Looking at revision of the SG interface in use...        SG interface version 3.1.24; OK.                Drive is neither a CDROM nor a WORM deviceChecking /dev/sg1 for cdrom...        Testing /dev/sg1 for cooked ioctl() interface                /dev/sg1 is not a cooked ioctl CDROM.        Testing /dev/sg1 for SCSI interface                No cdrom device found to match generic device /dev/sg1                generic device: /dev/sg1                ioctl device: not foundFound an accessible SCSI CDROM drive.Looking at revision of the SG interface in use...        SG interface version 3.1.24; OK.CDROM model sensed sensed: CREATIVE CD2423E  NC102 1.02Checking for SCSI emulation...        Drive is ATAPI (using SCSI host adaptor emulation)Checking for MMC style command set...        Drive is MMC style004: Unable to read table of contents headerUnable to open disc.  Is there an audio CD in the drive? <paste ends>There is a good CD in the drive.  It is a creative 24X CD.As far as I know the IDE cables are working correctly.  The CD reads data CDs fine.I've posted about the inital problems I had with cdparanoia on linux.redhat.  I go by "Nobody"  when posting in groups.  Search on cdparanoia and Nobody and they come right up.   Version-Release number of selected component (if applicable):How reproducible:AlwaysSteps to Reproduce:1. Run as above2.3.    Actual Results:  See aboveExpected Results:  It used to start ripping, but it would crash or hang. I'd give you that output, but I can't get it to run. Additional info:I've played around with a few things trying to fix this.  I once disabled the autorun for mounting the CD and then enabled it.I also changed /dev/cdrom to point to /dev/sg0 one time and then changed it back. BTW: KsCD doesn't work anymore either.I'm running kernel 2.4.20 compiled as directed in the cdparanoia directions, ie without ATAPI CDROM support, but with general scsi support and with scsi emulation for CDROMs.  I once thought that was the root of the problem, but it isn't.

Comment 1 Peter Jones 2003-05-14 15:24:54 UTC
This appears to be a hardware error.